import java.util.*;

/**
 * Clase que representa un menu semanal
 */
public class MenuSemanal
{
    // mapa de menus
    private EnumMap<DiaSemana,Menu> menu;

    /**
     * Constructor 
     */
    public MenuSemanal()
    {
        menu=new EnumMap<DiaSemana,Menu>(DiaSemana.class);
    }

    /**
     * poner el menu de un dia concreto
     */
    public void ponMenu(DiaSemana dia, Menu comida)
    {
        menu.put(dia,comida);
    }
    
    /**
     * Consultar el menu de un día
     */
    public Menu consultaMenu(DiaSemana dia) {
        return menu.get(dia);
    }
}
