
/**
 * Abstract class Servicio 
 * Representa un servicio con varias ventanillas
 * de atención a clientes
 */
public abstract class Servicio
{
    // atributos
    protected int num; // numero de ventanillas
    protected int tmin, tmax; // milisegundos
    
    /**
     * Llegada de un cliente
     */
    public abstract void nuevoCliente(Cliente c);
        
    /**
     * Cliente atendido
     */
    public abstract void atiendeClientes();
        
    /**
     * Muestra estado
     */
    public abstract void muestraEstado();
    
}
